<?php

use Spatie\LaravelSettings\Migrations\SettingsMigration;

return new class extends SettingsMigration
{
    public function up(): void
    {
        // Website Info
        $this->migrator->add('general.site_name', 'Simedkom');
        $this->migrator->add('general.site_description', 'Aplikasi Sistem Media Komunikasi Kabupaten Purwakarta');
        $this->migrator->add('general.site_logo', null);
        $this->migrator->add('general.site_icon', null);
        $this->migrator->add('general.about_us', 'Sistem Media Komunikasi (SIMEDKOM) merupakan sebuah aplikasi berbasis digital untuk mempermudah bidang informasi dan komunikasi publik di Diskominfo Purwakarta dalam menjalankan monitoring media di Kabupaten Purwakarta. Aplikasi ini digunakan untuk penertiban administrasi kerjasama antara media dan pemerintah kabupaten Purwakarta yang dikoordinir oleh Diskominfo Purwakarta, juga menjadi alat filter dalam proses monitoring isu konten media terkait pemberitaan di Kabupaten Purwakarta.');
        $this->migrator->add('general.address', 'Jl. Laks. Laut RE. Martadinata No. 50, Nagri Tengah, Kec. Purwakarta, Kabupaten Purwakarta, Jawa Barat 41111');
        $this->migrator->add('general.site_email', 'diskominfo@purwakartakab.go.id');
        $this->migrator->add('general.site_phone', '(0264) 200222');

        // Social Media
        $this->migrator->add('social_media.facebook', null);
        $this->migrator->add('social_media.twitter', null);
        $this->migrator->add('social_media.instagram', null);
        $this->migrator->add('social_media.youtube', null);

        // SEO
        $this->migrator->add('seo.title', 'SIMEDKOM');
        $this->migrator->add('seo.description', 'Sistem Informasi Media Komunikasi');
        $this->migrator->add('seo.keywords', 'simedkom, media, komunikasi, purwakarta, kabupaten purwakarta, diskominfo, diskominfo purwakarta, simedkom purwakarta, simedkom kabupaten purwakarta, media komunikasi, media komunikasi purwakarta');
    }

    public function down(): void
    {
        $this->migrator->delete('general.site_name');
        $this->migrator->delete('general.site_description');
        $this->migrator->delete('general.site_logo');
        $this->migrator->delete('general.site_icon');
        $this->migrator->delete('general.about_us');
        $this->migrator->delete('general.address');
        $this->migrator->delete('general.site_email');
        $this->migrator->delete('general.site_phone');

        $this->migrator->delete('social_media.facebook');
        $this->migrator->delete('social_media.twitter');
        $this->migrator->delete('social_media.instagram');
        $this->migrator->delete('social_media.youtube');

        $this->migrator->delete('seo.title');
        $this->migrator->delete('seo.description');
        $this->migrator->delete('seo.keywords');
    }
};
